
  .message-history {
    opacity: 0.85;
    height:40px;
    overflow-y: auto;
    padding: 6px 8px;
    background-color: #333;
    color: #ddd;
    font-family: sans-serif;
    font-size: 13px;
    font-weight: bold;
    letter-spacing: 0px;
    line-height: 22px;
    letter-spacing: 0.5px;
    background: linear-gradient(-3deg, #1A1A1A 0%, #2D2D2D 30%, #323232 100%);
    box-shadow: 0px 0px 8px rgba(0,0,0,0.99);
  }

  .message-history::-webkit-scrollbar {
      width: 9px;
    }
    
    .message-history::-webkit-scrollbar-track {
      background-color:#111
    }
     
    .message-history::-webkit-scrollbar-thumb {
      background: #333; 
      border-radius:3px;
    }
    .message-history::-webkit-scrollbar-thumb:hover {
      background: #444; 
    }

  .message-history-container {
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    min-height: 115px;
  }


  /* alternative style */
  
  .message-history {
    text-shadow:1px 1px 0px black, -1px -1px 0px black, 1px -1px 0px black, 1px -1px 0px black;
    width:450px;
    height:115px;
    background:none;
    border-radius: 5px;
    background-color: rgba(255,255,255,0.02);
    color: white;
    box-shadow: none;
  }
    
    .message-history::-webkit-scrollbar {
      width: 7px;
    }
    
    .message-history::-webkit-scrollbar-track {
      background-color:transparent;
    }
    
    .message-history::-webkit-scrollbar-thumb {
      /* background: rgba(255,255,255,0.05);
      border-radius: 3px;
      border: rgba(0,0,0,0.25); */
      background-color:transparent;
    }

    .message-history::-webkit-scrollbar-thumb:hover {
      /* background-color:rgba(255,255,255,0.5) */
      background-color:transparent;
    }
